- Qt 5.15
- Qt Sensors
- C++ Classes
- QSensorGesturePluginInterface
- Qt 5.15.19 Reference Documentation

# QSensorGesturePluginInterface Class

The QSensorGesturePluginInterface class is the pure virtual interface to sensor gesture plugins. More...

Header: | #include <QSensorGesturePluginInterface>
qmake: | QT += sensors
Since: | Qt 5.1

This class was introduced in Qt 5.1.

- List of all members, including inherited members

## Public Functions

| QSensorGesturePluginInterface()
virtual | ~QSensorGesturePluginInterface()
virtual QList<QSensorGestureRecognizer *> | createRecognizers() = 0
virtual QString | name() const = 0
virtual QStringList | supportedIds() const = 0

## Detailed Description

The QSensorGesturePluginInterface class is implemented in sensor gesture plugins to register sensor gesture recognizers with QSensorGestureManager.

See also QtSensorGestures Plugins.

## Member Function Documentation

### QSensorGesturePluginInterface::QSensorGesturePluginInterface()

Construct the QSensorGesturePluginInterface.

### `[virtual]` QSensorGesturePluginInterface::~QSensorGesturePluginInterface()

Destroy the QSensorGesturePluginInterface.

### `[pure virtual]` QList<QSensorGestureRecognizer *> QSensorGesturePluginInterface::createRecognizers()

Called by the manager to create the recognizers. Plugins should initialize and register their recognizers using QSensorGestureManager::registerSensorGestureRecognizer() here.

See also QSensorGestureManager.

### `[pure virtual]` QString QSensorGesturePluginInterface::name() const

Returns this plugins name.

### `[pure virtual]` QStringList QSensorGesturePluginInterface::supportedIds() const

Returns a list of the recognizer Id's that this plugin supports.